<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('coloreds', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained();
            $table->foreignId('page_id')->constrained();
            $table->string('photo');
            $table->string('preview');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('coloreds');
    }
};
